package com.crm.rely.backend.core.pojo.table;

import com.crm.rely.backend.core.pojo.BaseTable;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;

/**
 * @author houn
 */
@Data
@Entity
@Table(name = "follow_wallet")
public class FollowWalletTable extends BaseTable {
    private Long customId;
    private Long cId;

    private BigDecimal walletAmount;

    /**
     * 冻结金额 比如说转出时吧wallet_amount金额扣除 加到这里 等转出完成扣除冻结金额
     */
    private BigDecimal frozenAmount;

    public static FollowWalletTable getInstance(){
        FollowWalletTable table = new FollowWalletTable();
        table.setWalletAmount(new BigDecimal(0));
        table.setFrozenAmount(new BigDecimal(0));
        return table;
    }
}
